%global momorel 1

Summary:	XML-Feed module for perl 
Name:		perl-XML-Feed
Version:	0.43
Release:	%{momorel}m%{?dist}
License:	GPL
Group:		Development/Languages
Source0:	http://www.cpan.org/modules/by-module/XML/XML-Feed-%{version}.tar.gz
NoSource:	0
URL:		http://www.cpan.org/modules/by-module/XML/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq:	perl >= 1:5.8.8
BuildArch:	noarch
BuildRequires:	perl-Class-ErrorHandler
BuildRequires:	perl-XML-RSS
BuildRequires:	perl-XML-Atom
BuildRequires:	perl-DateTime
BuildRequires:	perl-DateTime-Format-Mail
BuildRequires:	perl-DateTime-Format-W3CDTF
#BuildRequires:	perl-Scalar-List-Utils
BuildRequires:	perl-Feed-Find
BuildRequires:	perl-URI-Fetch
BuildRequires:	perl-Cache

%description
XML-Feed module for perl

%prep
%setup -q -n XML-Feed-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make


%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > XML-Feed-%{version}-filelist
if [ "$(cat XML-Feed-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean 
rm -rf %{buildroot}

%files -f XML-Feed-%{version}-filelist
%defattr(-,root,root)
%doc Changes README*

%changelog
* Sun May 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.43-1m)
- update to 0.43

* Sun Apr  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.42-1m)
- update to 0.42
- remove merged patch

* Sun Mar 29 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.41-3m)
- apply bug fix patch from upstream

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.41-2m)
- rebuild against rpm-4.6

* Sat Dec 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.41-1m)
- update to 0.41

* Mon Nov 24 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.40-1m)
- update to 0.40

* Wed Nov  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.30-1m)
- update to 0.3

* Thu Oct 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.21-1m)
- update to 0.21

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.12-3m)
- rebuild against gcc43

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.12-2m)
- use vendor

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.12-1m)
- spec file was autogenerated
